<?php
/**
 * @package SJ Cool Loading
 * @version 1.0.0    
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2013 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com MD
 */
						
defined('_JEXEC') or die;
jimport('joomla.plugin.plugin');
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);
class plgSystemPlg_sj_social_media extends JPlugin
{
	protected $app = array();
	protected $_params = null;
	
	function __construct($subject, $config)
	{
		parent::__construct($subject, $config);
		$this->loadLanguage();
		$this->app = JFactory::getApplication();
		$this->_params = $this->params;

	}
	function onAfterDispatch(){
		$is_ajax = !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest';
		if($is_ajax ){
			$_plg = JRequest::getVar('plg',null);
			if($_plg == 'plg_sj_social_media'){
				$itemModel = K2Model::getInstance('Item', 'K2Model');
				$id = JRequest::getVar('sj_product_id',null);
				$type = JRequest::getVar('type',null);
				if($type != 'style'){
				$item = array();
				$item['cls'] = JRequest::getVar('cls');
				$item['index'] = JRequest::getVar('index');
				$user = JFactory::getUser();
				if (!$user->guest && $user->id == $item->created_by && $this->params->get('inlineCommentsModeration'))
				{
					$item['coment'] = $itemModel->countItemComments($id, false);
				}
				else
				{
					$item['coment'] = $itemModel->countItemComments($id);
				}
				die(json_encode($item));
				}else{
					$item = array();
					$url = JRequest::getVar('sj_product_href_T');
					$url_T = JRequest::getVar('sj_product_href_T');
					$item['cls'] = JRequest::getVar('cls');
					$item['url'] = $url;
					$item['index'] = JRequest::getVar('index');
						$item['countShareF'] = $this->fb_count($url);
						$item['countShareT'] = $this->twitter_count($url_T);
					die(json_encode($item));
				}
			}
		}	
	}
	function onBeforeRender()
	{
		if ($this->app->isAdmin()) return;
		$app = JFactory::getApplication();
		$document = JFactory::getDocument();
		if ($app->isSite()) {
			if (( int )$this->params->get('include_jquery', '1')) {
				$document->addScript(JURI::root(true) . '/plugins/system/plg_sj_social_media/assets/js/jquery-1.8.2.min.js');
				$document->addScript(JURI::root(true) . '/plugins/system/plg_sj_social_media/assets/js/jquery-noconflict.js');
			}
			$document->addStyleSheet(JURI::root(true) . '/plugins/system/plg_sj_social_media/assets/css/plg_social_media.css');
		}
		return true;
	}
	
	function fb_count($url) {
		$facebook = file_get_contents('http://graph.facebook.com/'.$url);
		$json = json_decode( $facebook, false );
		if($json->shares == null)return 0;
		return $json->shares;
	}
	
	function twitter_count($url) {
		$twiter = 'http://cdn.api.twitter.com/1/urls/count.json?url=' . $url ;
		$json = json_decode( file_get_contents( $twiter ), false );
		if( isset( $json->count ) ) return (int) $json->count;
		return 0;
	}

	public function onAfterRender()
	{

		if ($this->app->isAdmin()) return;
		$app = JFactory::getApplication();
		$body = JResponse::GetBody();
		if ($app->isSite()) {
			$_cls = $this->_params->get('plg_social_nameClass_use_style');
			$_cls_ajax = $this->_params->get('plg_social_nameClass_ajax');
			$_cls_default = $this->_params->get('plg_social_nameClass_use_default');
			if(empty($_cls) AND empty($_cls_ajax) AND empty($_cls_default)) return;
			if(strpos($_cls,chr(13)) !== false && strpos($_cls,chr(10)) !== false){
				$_cls = str_replace(chr(13),'',$_cls);		
				$_cls = str_replace(chr(10),',',$_cls);
			}else{
				if(strpos($_cls,chr(13)) !== false){
					$_cls = str_replace(chr(13),',',$_cls);	
				}
				if(strpos($_cls,chr(10)) !== false){
					$_cls = str_replace(chr(10),',',$_cls);	
				}
			}
			if($_cls_ajax != ''){
				if(strpos($_cls_ajax,chr(13)) !== false && strpos($_cls_ajax,chr(10)) !== false){
					$_cls_ajax = str_replace(chr(13),'',$_cls_ajax);		
					$_cls_ajax = str_replace(chr(10),',',$_cls_ajax);
				}else{
					if(strpos($_cls_ajax,chr(13)) !== false){
						$_cls_ajax = str_replace(chr(13),',',$_cls_ajax);	
					}
					if(strpos($_cls_ajax,chr(10)) !== false){
						$_cls_ajax = str_replace(chr(10),',',$_cls_ajax);	
					}
				}
			}else{
				$_cls_ajax = 'not';
			}
			if($_cls_default != ''){
				if(strpos($_cls_default,chr(13)) !== false && strpos($_cls_default,chr(10)) !== false){
					$_cls_default = str_replace(chr(13),'',$_cls_default);		
					$_cls_default = str_replace(chr(10),',',$_cls_default);
				}else{
					if(strpos($_cls_default,chr(13)) !== false){
						$_cls_default = str_replace(chr(13),',',$_cls_default);	
					}
					if(strpos($_cls_default,chr(10)) !== false){
						$_cls_default = str_replace(chr(10),',',$_cls_default);	
					}
				}
			}else{
				$_cls_default = 'not';
			}
			$body = str_replace('</body>', $this->_addScriptQV($_cls,$_cls_ajax,$_cls_default) . '</body>', $body);
			JResponse::setBody($body);
			return true;
		}
	}
		
	protected function _addScriptQV($_cls,$_cls_ajax,$_cls_default)
	{
		ob_start();
		?>
		
		<script type="text/javascript">
			//<![CDATA[
			jQuery(document).ready(function ($) {
				window.twttr=(function(d,s,id){var t,js,fjs=d.getElementsByTagName(s)[0];if(d.getElementById(id)){return}js=d.createElement(s);js.id=id;js.src="https://platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);return window.twttr||(t={_e:[],ready:function(f){t._e.push(f)}})}(document,"script","twitter-wjs"));
				(function(d, s, id) {
				var js, fjs = d.getElementsByTagName(s)[0];
				if (d.getElementById(id)) return;
				js = d.createElement(s); js.id = id;
				js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.0";
				fjs.parentNode.insertBefore(js, fjs);
				}(document, 'script', 'facebook-jssdk'));
				var rlc_ajaxurl = '<?php echo JURI::base().'index.php'; ?>';
				var cls = '<?php echo $_cls;?>';
				var array_items_length = new Array();
				if(cls != ''){
					var array_cls = cls.split(',');
					for (var i = 0; i < array_cls.length; i++){
						if($(array_cls[i]).length == 0)continue;
						for(var a = 0; a < $(array_cls[i]).length; a++){
							<?php if($this->params->get('plg_social_show_in_parent') == 1){?>
								var cls_show = $(array_cls[i]).eq(a).parent();
							<?php }else{ ?>
								var cls_show = $(array_cls[i]).eq(a);
							<?php } ?>
							var a_length = $(array_cls[i]).eq(a).find('a').length;
							var old_href;
							cls_show.append('<div class="plg_social_media_item"></div>');
							for(var e = 0; e < a_length; e++){
								var href = $(array_cls[i]).eq(a).find('a').eq(e).attr('href');
								<?php if($this->params->get('plg_social_select_find_link') == 1){?>
									if(href.indexOf('<?php echo $this->params->get('plg_social_select_link_key_word');?>') == -1)continue;
								<?php }?>
								if(typeof href == 'undefined')continue;
								if(href == 'javascript: void(0)')continue;
								if(href == 'https://twitter.com/share')continue;
								if(old_href == href)continue;
								var show_coment = '<?php echo $this->params->get('plg_social_coment_k2');?>';
								<?php if($this->params->get('plg_social_coment_k2') == 1){?>
									if(href.indexOf('k2') == -1){
										show_coment = 0;
									}
								<?php } ?>
								var findId = href.split('/');
								var stringId = findId[(parseInt(findId.length) - 1)];
								var arrayhref = stringId.split('-');
								var ajax_id = arrayhref[0];
								if('<?php echo JURI::root();?>'.indexOf('localhost') != -1){
									if(href.indexOf('index.php') != 0){
										if(href.indexOf('localhost') == -1){
											href = "http://localhost" + href;
										}
									}else{
										href = '<?php echo JURI::root();?>' + href;
									}
								}else{
									var root = '<?php echo JURI::root();?>';
									root = root.replace('http://','');
									var array_root = root.split('/');
									root = '';
									for(var w = 0; w < array_root.length; w++){
										if(href.indexOf(array_root[w]) == -1 ){
											if(root == ''){
												root = array_root[w];
											}else{
												root = root + '/' + array_root[w];
											}
										}
									}
									if(href.indexOf('/') == 0){
										href = 'http://' + root + href;
									}else{
										href = 'http://' + root + '/' + href;
									}
								}	
								old_href = href; 
								var split_href = href.split('/');
								href = split_href.join('%2F');
								split_href = href.split(':');
								href = split_href.join('%3A');
								split_href = href.split('=');
								href = split_href.join('%3D');
								split_href = href.split('?');
								href = split_href.join('%3F');
								split_href = href.split('&');
								href = split_href.join('%26');
								cls_show.find('.plg_social_media_item').append('<div class="plg_social_media_item_facebook"></div>');
								cls_show.find('.plg_social_media_item').append('<div class="plg_social_media_item_twitter"></div>');
								cls_show.find('.plg_social_media_item_facebook').append("<a id=\"button\" onClick=\"window.open('https://www.facebook.com/sharer/sharer.php?app_id=309437425817038&sdk=joey&u="+href+"&display=popup&ref=plugin', 'sharer', 'toolbar=0,status=0,width=550,height=400');\" target=\"_parent\" href=\"javascript: void(0)\">F</a>");
								cls_show.find('.plg_social_media_item_twitter').append("<a id=\"button\" onClick=\"window.open('https://twitter.com/intent/tweet?original_referer="+href+"&related=twitterdev%3ATwitter%20Developer%20Relations&text=Checking%20out%20this%20page%20about%20the%20Tweet%20Button&tw_p=tweetbutton&url="+href+"&via=your_screen_name','popUpWindow','width=550,height=400,toolbar=0,status=0');\");\" target=\"_parent\" href=\"javascript: void(0)\">T</a>");
								if(parseInt(show_coment) == 1){
									cls_show.find('.plg_social_media_item').append('<div class="plg_social_media_item_coment_k2"></div>');
									$.ajax({
										type: 'POST',
										url: rlc_ajaxurl,
										data:{
										sj_product_id : ajax_id,
										index : a,
										cls : array_cls[i],
										plg : 'plg_sj_social_media'
										},
										success: function(data){
											<?php if($this->params->get('plg_social_show_in_parent') != 1){?>
												$(data['cls']).eq(data['index']).find('.plg_social_media_item_coment_k2').find('a').append('<span class="plg_social_media_item_count_coment_k2">'+data['coment']+' Comments</span>');
											<?php }else{ ?>
												$(data['cls']).eq(data['index']).parent().find('.plg_social_media_item_coment_k2').find('a').append('<span class="plg_social_media_item_count_coment_k2">'+data['coment']+' Comments</span>');
											<?php } ?>
										}, 
										dataType:'json'
									});
									cls_show.find('.plg_social_media_item_coment_k2').append('<a href="'+old_href+'">C</a>');
								} 
								$.ajax({
									type: 'POST',
									url: rlc_ajaxurl,
									data:{
									sj_product_href : href,
									sj_product_href_T : old_href,
									type : 'style',
									index : a,
									cls : array_cls[i],
									plg : 'plg_sj_social_media'
									},
									success: function(data){
										<?php if($this->params->get('plg_social_show_in_parent') != 1){?>
											$(data['cls']).eq(data['index']).find('.plg_social_media_item_facebook').find('a').append('<span class="plg_social_media_item_count_facebook">'+data['countShareF']+'</span>');
											$(data['cls']).eq(data['index']).find('.plg_social_media_item_twitter').find('a').append('<span class="plg_social_media_item_count_twitter">'+data['countShareT']+'</span>');
											$(data['cls']).eq(data['index']).find('.plg_social_media_item').css('display','block');
										<?php }else{ ?>
											$(data['cls']).eq(data['index']).parent().find('.plg_social_media_item_facebook').find('a').append('<span class="plg_social_media_item_count_facebook">'+data['countShareF']+'</span>');
											$(data['cls']).eq(data['index']).parent().find('.plg_social_media_item_twitter').find('a').append('<span class="plg_social_media_item_count_twitter">'+data['countShareT']+'</span>');
											$(data['cls']).eq(data['index']).parent().find('.plg_social_media_item').css('display','block');
										<?php } ?>
									}, 
									dataType:'json'
								});			
							}
						}
					}
				}
				<?php if($_cls_default != 'not'){ ?>
					var cls_default = '<?php echo $_cls_default;?>';
					var array_cls = cls_default.split(',');
					/* ------------------------------------------------------------- */
					for(var i = 0; i < array_cls.length; i++){
						array_items_length[i] = $(array_cls[i]).length;
						if($(array_cls[i]).length == 0)continue;
						for(var a = 0; a < $(array_cls[i]).length; a++){
							<?php if($this->params->get('plg_social_show_in_parent') == 1){?>
								var cls_show = $(array_cls[i]).eq(a).parent();
							<?php }else{ ?>
								var cls_show = $(array_cls[i]).eq(a);
							<?php } ?>
							
								/*----------------------------------------------------------------------------*/
							var a_length = $(array_cls[i]).eq(a).find('a').length;
							var old_href;
							cls_show.append('<div class="plg_social_media_item"></div>');
							for(var e = 0; e < a_length; e++){
								var href = $(array_cls[i]).eq(a).find('a').eq(e).attr('href');
								<?php if($this->params->get('plg_social_select_find_link') == 1){?>
									if(href.indexOf('<?php echo $this->params->get('plg_social_select_link_key_word');?>') == -1)continue;
								<?php }?>
								if(typeof href == 'undefined')continue;
								if(href == 'javascript: void(0)')continue;
								if(href == 'https://twitter.com/share')continue;
								if(old_href == href)continue;
								
								var show_coment = '<?php echo $this->params->get('plg_social_coment_k2');?>';
								<?php if($this->params->get('plg_social_coment_k2') == 1){?>
									if(href.indexOf('k2') == -1){
										show_coment = 0;
									}
								<?php } ?>
								var findId = href.split('/');
								var stringId = findId[(parseInt(findId.length) - 1)];
								var arrayhref = stringId.split('-');
								var ajax_id = arrayhref[0];
								if('<?php echo JURI::root();?>'.indexOf('localhost') != -1){
									if(href.indexOf('index.php') != 0){
										if(href.indexOf('localhost') == -1){
											href = "http://localhost" + href;
										}
									}else{
									href = '<?php echo JURI::root();?>' + href;
									}
								}else{
									var root = '<?php echo JURI::root();?>';
									root = root.replace('http://','');
									var array_root = root.split('/');
									root = '';
									for(var w = 0; w < array_root.length; w++){
										if(href.indexOf(array_root[w]) == -1 ){
											if(root == ''){
												root = array_root[w];
											}else{
												root = root + '/' + array_root[w];
											}
										}
									}
									if(href.indexOf('/') == 0){
										href = 'http://' + root + href;
									}else{
										href = 'http://' + root + '/' + href;
									}
								}
								old_href = href;
								var split_href = href.split('/');
								href = split_href.join('%2F');
								split_href = href.split(':');
								href = split_href.join('%3A');
								split_href = href.split('=');
								href = split_href.join('%3D');
								split_href = href.split('?');
								href = split_href.join('%3F');
								split_href = href.split('&');
								href = split_href.join('%26');
								<?php if($this->params->get('plg_social_type_like') == 'box_count'){?>
									var class_like = "fb_box_count";
								<?php }else{ ?>
									var class_like = "fb_button_count";
								<?php } ?>
								<?php if($this->params->get('plg_social_share') == 1){ ?>
									cls_show.find('.plg_social_media_item').append('<div class="plg_social_media_share_facebook"><div class="fb-share-button" data-href="'+old_href+'" data-layout="<?php echo $this->params->get('plg_social_type_share');?>"></div></div>');
								<?php } ?>
								<?php if($this->params->get('plg_social_like') == 1){ ?>
									cls_show.find('.plg_social_media_item').append('<div class="plg_social_media_like-facebook '+class_like+'"><iframe src="//www.facebook.com/plugins/like.php?href='+href+'&amp;width&amp;layout=<?php echo $this->params->get('plg_social_type_like');?>&amp;action=like&amp;show_faces=false&amp;share=false&amp" scrolling="no" frameborder="0" style="border:none; overflow:hidden;" allowTransparency="true"></iframe></div>');
								<?php } ?>
								<?php if($this->params->get('plg_social_share_twitter') == 1){ ?>
									cls_show.find('.plg_social_media_item').append('<div class="plg_social_media_twitter" style="float:left; margin-right: 10px;"><a href="" data-url="'+old_href+'" class="twitter-share-button" data-dnt="true" data-count="<?php echo $this->params->get('plg_social_type_share_twitter','none');?>" data-via="twitterdev">Tweet</a></div>');
								<?php } ?>	
								if(parseInt(show_coment) == 1){
									cls_show.find('.plg_social_media_item').append('<div class="plg_social_media_item_coment_k2"></div>');
									$.ajax({
										type: 'POST',
										url: rlc_ajaxurl,
										data:{
										sj_product_id : ajax_id,
										index : a,
										cls : array_cls[i],
										plg : 'plg_sj_social_media'
										},
										success: function(data){
											<?php if($this->params->get('plg_social_show_in_parent') != 1){?>
												$(data['cls']).eq(data['index']).find('.plg_social_media_item_coment_k2').find('a').append('<span class="plg_social_media_item_count_coment_k2">'+data['coment']+' Comments</span>');
											<?php }else{ ?>
												$(data['cls']).eq(data['index']).parent().find('.plg_social_media_item_coment_k2').find('a').append('<span class="plg_social_media_item_count_coment_k2">'+data['coment']+' Comments</span>');
											<?php } ?>
										}, 
											dataType:'json'
									});
									cls_show.find('.plg_social_media_item_coment_k2').append('<a href="'+old_href+'">C</a>');
								}
								cls_show.find('.plg_social_media_item').css('display','block');
								}
										/*----------------------------------------------------------------------------*/
						}		
					}
				<?php } ?>
				<?php if($_cls_ajax != 'not'){ ?>
					var cls_ajax = '<?php echo $_cls_ajax;?>';
					var array_cls = cls_ajax.split(',');
					/* ------------------------------------------------------------- */
					for(var i = 0; i < array_cls.length; i++){
						array_items_length[i] = $(array_cls[i]).length;
						for(var a = 0; a < $(array_cls[i]).length; a++){
							if($(array_cls[i]).length == 0)continue;
							<?php if($this->params->get('plg_social_show_in_parent') == 1){?>
								var cls_show = $(array_cls[i]).eq(a).parent();
							<?php }else{ ?>
								var cls_show = $(array_cls[i]).eq(a);
							<?php } ?>
							
								/*----------------------------------------------------------------------------*/
							var a_length = $(array_cls[i]).eq(a).find('a').length;
							var old_href;
							cls_show.append('<div class="plg_social_media_item"></div>');
							for(var e = 0; e < a_length; e++){
								var href = $(array_cls[i]).eq(a).find('a').eq(e).attr('href');
								<?php if($this->params->get('plg_social_select_find_link') == 1){?>
									if(href.indexOf('<?php echo $this->params->get('plg_social_select_link_key_word');?>') == -1)continue;
								<?php }?>
								if(typeof href == 'undefined')continue;
								if(href == 'javascript: void(0)')continue;
								if(href == 'https://twitter.com/share')continue;
								if(old_href == href)continue;
								old_href = href; 
								var show_coment = '<?php echo $this->params->get('plg_social_coment_k2');?>';
								<?php if($this->params->get('plg_social_coment_k2') == 1){?>
									if(href.indexOf('k2') == -1){
										show_coment = 0;
									}
								<?php } ?>
								var findId = href.split('/');
								var stringId = findId[(parseInt(findId.length) - 1)];
								var arrayhref = stringId.split('-');
								var ajax_id = arrayhref[0];
								if('<?php echo JURI::root();?>'.indexOf('localhost') != -1){
									if(href.indexOf('index.php') != 0){
										if(href.indexOf('localhost') == -1){
											href = "http://localhost" + href;
										}
									}else{
									href = '<?php echo JURI::root();?>' + href;
									}
								}else{
									var root = '<?php echo JURI::root();?>';
									root = root.replace('http://','');
									var array_root = root.split('/');
									root = '';
									for(var w = 0; w < array_root.length; w++){
										if(href.indexOf(array_root[w]) == -1 ){
											if(root == ''){
												root = array_root[w];
											}else{
												root = root + '/' + array_root[w];
											}
										}
									}
									if(href.indexOf('/') == 0){
										href = 'http://' + root + href;
									}else{
										href = 'http://' + root + '/' + href;
									}
								}
								var split_href = href.split('/');
								href = split_href.join('%2F');
								split_href = href.split(':');
								href = split_href.join('%3A');
								split_href = href.split('=');
								href = split_href.join('%3D');
								split_href = href.split('?');
								href = split_href.join('%3F');
								split_href = href.split('&');
								href = split_href.join('%26');
									cls_show.find('.plg_social_media_item').append('<div class="plg_social_media_item_facebook"></div>');
									cls_show.find('.plg_social_media_item').append('<div class="plg_social_media_item_twitter"></div>');
									cls_show.find('.plg_social_media_item_facebook').append("<a id=\"button\" onClick=\"window.open('https://www.facebook.com/sharer/sharer.php?app_id=309437425817038&sdk=joey&u="+href+"&display=popup&ref=plugin', 'sharer', 'toolbar=0,status=0,width=550,height=400');\" target=\"_parent\" href=\"javascript: void(0)\">F</a>");
									cls_show.find('.plg_social_media_item_twitter').append("<a id=\"button\" onClick=\"window.open('https://twitter.com/intent/tweet?original_referer="+href+"&related=twitterdev%3ATwitter%20Developer%20Relations&text=Checking%20out%20this%20page%20about%20the%20Tweet%20Button&tw_p=tweetbutton&url="+href+"&via=your_screen_name','popUpWindow','width=550,height=400,toolbar=0,status=0');\");\" target=\"_parent\" href=\"javascript: void(0)\">T</a>");
									if(parseInt(show_coment) == 1){
										cls_show.find('.plg_social_media_item').append('<div class="plg_social_media_item_coment_k2"></div>');
										$.ajax({
											type: 'POST',
											url: rlc_ajaxurl,
											data:{
											sj_product_id : ajax_id,
											index : a,
											cls : array_cls[i],
											plg : 'plg_sj_social_media'
											},
											success: function(data){
												<?php if($this->params->get('plg_social_show_in_parent') != 1){?>
													$(data['cls']).eq(data['index']).find('.plg_social_media_item_coment_k2').find('a').append('<span class="plg_social_media_item_count_coment_k2">'+data['coment']+' Comments</span>');
												<?php }else{ ?>
													$(data['cls']).eq(data['index']).parent().find('.plg_social_media_item_coment_k2').find('a').append('<span class="plg_social_media_item_count_coment_k2">'+data['coment']+' Comments</span>');
												<?php } ?>
											}, 
											dataType:'json'
										});
										cls_show.find('.plg_social_media_item_coment_k2').append('<a href="'+old_href+'">C</a>');
									}
									$.ajax({
										type: 'POST',
										url: rlc_ajaxurl,
										data:{
										sj_product_href : href,
										sj_product_href_T : old_href,
										type : 'style',
										index : a,
										cls : array_cls[i],
										plg : 'plg_sj_social_media'
										},
										success: function(data){
											<?php if($this->params->get('plg_social_show_in_parent') != 1){?>
												$(data['cls']).eq(data['index']).find('.plg_social_media_item_facebook').find('a').append('<span class="plg_social_media_item_count_facebook">'+data['countShareF']+'</span>');
												$(data['cls']).eq(data['index']).find('.plg_social_media_item_twitter').find('a').append('<span class="plg_social_media_item_count_twitter">'+data['countShareT']+'</span>');
												$(data['cls']).eq(data['index']).find('.plg_social_media_item').css('display','block');
											<?php }else{ ?>
												$(data['cls']).eq(data['index']).parent().find('.plg_social_media_item_facebook').find('a').append('<span class="plg_social_media_item_count_facebook">'+data['countShareF']+'</span>');
												$(data['cls']).eq(data['index']).parent().find('.plg_social_media_item_twitter').find('a').append('<span class="plg_social_media_item_count_twitter">'+data['countShareT']+'</span>');
												$(data['cls']).eq(data['index']).parent().find('.plg_social_media_item').css('display','block');
											<?php } ?>
										}, 
										dataType:'json'
									});
								}
						/*----------------------------------------------------------------------------*/
						}		
					}
					/* ------------------------------------------------------------- */
					$(document).ajaxComplete(function(){
						setTimeout(function(){
							for(var i = 0; i < array_cls.length; i++){
								if($(array_cls[i]).length > array_items_length[i]){
									array_items_length[i] = $(array_cls[i]).length;
									for(var a = 0; a < $(array_cls[i]).length; a++){
										<?php if($this->params->get('plg_social_show_in_parent') == 1){?>
											var cls_show = $(array_cls[i]).eq(a).parent();
										<?php }else{ ?>
											var cls_show = $(array_cls[i]).eq(a);
										<?php } ?>
										if(cls_show.find('.plg_social_media_item').length > 0)continue;
										/*----------------------------------------------------------------------------*/
										var a_length = $(array_cls[i]).eq(a).find('a').length;
										var old_href;
										cls_show.append('<div class="plg_social_media_item"></div>');
										for(var e = 0; e < a_length; e++){
											var href = $(array_cls[i]).eq(a).find('a').eq(e).attr('href');
											<?php if($this->params->get('plg_social_select_find_link') == 1){?>
												if(href.indexOf('<?php echo $this->params->get('plg_social_select_link_key_word');?>') == -1)continue;
											<?php }?>
											if(typeof href == 'undefined')continue;
											if(href == 'javascript: void(0)')continue;
											if(href == 'https://twitter.com/share')continue;
											if(old_href == href)continue;
											old_href = href; 
											var show_coment = '<?php echo $this->params->get('plg_social_coment_k2');?>';
											<?php if($this->params->get('plg_social_coment_k2') == 1){?>
												if(href.indexOf('k2') == -1){
													show_coment = 0;
												}
											<?php } ?>
											var findId = href.split('/');
											var stringId = findId[(parseInt(findId.length) - 1)];
											var arrayhref = stringId.split('-');
											var ajax_id = arrayhref[0];
											if('<?php echo JURI::root();?>'.indexOf('localhost') != -1){
												if(href.indexOf('index.php') != 0){
													if(href.indexOf('localhost') == -1){
														href = "http://localhost" + href;
													}
												}else{
													href = '<?php echo JURI::root();?>' + href;
												}
											}else{
												var root = '<?php echo JURI::root();?>';
												root = root.replace('http://','');
												var array_root = root.split('/');
												root = '';
												for(var w = 0; w < array_root.length; w++){
													if(href.indexOf(array_root[w]) == -1 ){
														if(root == ''){
															root = array_root[w];
														}else{
															root = root + '/' + array_root[w];
														}
													}
												}
												if(href.indexOf('/') == 0){
													href = 'http://' + root + href;
												}else{
													href = 'http://' + root + '/' + href;
												}
											}
											var split_href = href.split('/');
											href = split_href.join('%2F');
											split_href = href.split(':');
											href = split_href.join('%3A');
											split_href = href.split('=');
											href = split_href.join('%3D');
											split_href = href.split('?');
											href = split_href.join('%3F');
											split_href = href.split('&');
											href = split_href.join('%26');
												cls_show.find('.plg_social_media_item').append('<div class="plg_social_media_item_facebook"></div>');
												cls_show.find('.plg_social_media_item').append('<div class="plg_social_media_item_twitter"></div>');
												cls_show.find('.plg_social_media_item_facebook').append("<a id=\"button\" onClick=\"window.open('https://www.facebook.com/sharer/sharer.php?app_id=309437425817038&sdk=joey&u="+href+"&display=popup&ref=plugin', 'sharer', 'toolbar=0,status=0,width=550,height=400');\" target=\"_parent\" href=\"javascript: void(0)\">F</a>");
												cls_show.find('.plg_social_media_item_twitter').append("<a id=\"button\" onClick=\"window.open('https://twitter.com/intent/tweet?original_referer="+href+"&related=twitterdev%3ATwitter%20Developer%20Relations&text=Checking%20out%20this%20page%20about%20the%20Tweet%20Button&tw_p=tweetbutton&url="+href+"&via=your_screen_name','popUpWindow','width=550,height=400,toolbar=0,status=0');\");\" target=\"_parent\" href=\"javascript: void(0)\">T</a>");
												if(parseInt(show_coment) == 1){
													cls_show.find('.plg_social_media_item').append('<div class="plg_social_media_item_coment_k2"></div>');
													$.ajax({
														type: 'POST',
														url: rlc_ajaxurl,
														data:{
														sj_product_id : ajax_id,
														index : a,
														cls : array_cls[i],
														plg : 'plg_sj_social_media'
														},
														success: function(data){
															<?php if($this->params->get('plg_social_show_in_parent') != 1){?>
																$(data['cls']).eq(data['index']).find('.plg_social_media_item_coment_k2 a').find('a').append('<span class="plg_social_media_item_count_coment_k2">'+data['coment']+' Comments</span>');
															<?php }else{ ?>
																$(data['cls']).eq(data['index']).parent().find('.plg_social_media_item_coment_k2 a').find('a').append('<span class="plg_social_media_item_count_coment_k2">'+data['coment']+' Comments</span>');
															<?php } ?>
														}, 
															dataType:'json'
													});
													cls_show.find('.plg_social_media_item_coment_k2').append('<a href="'+old_href+'">C</a>');
												}
												$.ajax({
													type: 'POST',
													url: rlc_ajaxurl,
													data:{
													sj_product_href : href,
													sj_product_href_T : old_href,
													type : 'style',
													index : a,
													cls : array_cls[i],
													plg : 'plg_sj_social_media'
													},
													success: function(data){
														<?php if($this->params->get('plg_social_show_in_parent') != 1){?>
															$(data['cls']).eq(data['index']).find('.plg_social_media_item_facebook').find('a').append('<span class="plg_social_media_item_count_facebook">'+data['countShareF']+'</span>');
															$(data['cls']).eq(data['index']).find('.plg_social_media_item_twitter').find('a').append('<span class="plg_social_media_item_count_twitter">'+data['countShareT']+'</span>');
															$(data['cls']).eq(data['index']).find('.plg_social_media_item').css('display','block');
														<?php }else{ ?>
															$(data['cls']).eq(data['index']).parent().find('.plg_social_media_item_facebook').find('a').append('<span class="plg_social_media_item_count_facebook">'+data['countShareF']+'</span>');
															$(data['cls']).eq(data['index']).parent().find('.plg_social_media_item_twitter').find('a').append('<span class="plg_social_media_item_count_twitter">'+data['countShareT']+'</span>');
															$(data['cls']).eq(data['index']).parent().find('.plg_social_media_item').css('display','block');
														<?php } ?>
													}, 
													dataType:'json'
												});						
										}
										/*----------------------------------------------------------------------------*/
									}
								}else{
									continue;
								}
							}
						},100);
					});
				<?php } ?>
				
			});
			//]]>
		</script>
		<?php
		$jq = ob_get_contents();
		ob_end_clean();
		return $jq;
	}
}
